%define _name bmp-wma
%def_disable static
%def_enable wma123
%if_enabled wma123
%def_enable static
%endif

Name: beep-input-wma
Version: 0.1.1
Release: alt1.1

Summary: A WMA decoder plugin for Beep Media Player 
License: GPL
Group: Sound

Url: http://bmp-plugins.berlios.de/%_name.html
Source: http://www.nixp.ru/pub/files/%_name-%version.tar.gz

%define beep_ver 0.9.7

Requires: beep >= %beep_ver
BuildPreReq: libbeep-devel >= %beep_ver

# Automatically added by buildreq on Wed Dec 15 2004
#BuildRequires: ORBit2-devel gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libatk-devel libbeep-devel libbonobo2-devel libgtk+2-devel libpango-devel libstdc++-devel pkgconfig xorg-x11-devel
BuildRequires: ORBit2-devel XFree86-devel gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libatk-devel libbeep-devel libbonobo2-devel libgtk+2-devel libpango-devel libstdc++-devel pkgconfig

%description
Input plugin for Beep Media Player to play M$ WMA files.

%package -n wma123
Summary: wma123 is a M$ WMA audio player
Group: Sound

%description -n wma123
Command-line audio player for WMA files.

%prep
%setup -q -n %_name-%version

%build
%set_verify_elf_method rpath=relaxed,textrel=relaxed

%configure \
    --disable-static \
    %{subst_enable wma123} \
%ifnarch i586
    --enable-x86
%endif

%make_build

%install
%make_install DESTDIR=%buildroot install

# remove none-packaged files.
%__rm -f %buildroot%_beep_input_dir/*a

%files
%_beep_input_dir/*.so
%doc AUTHORS ChangeLog README

%if_enabled wma123
%files -n wma123
%_bindir/*
%endif

%changelog
* Wed Dec 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.1.1-alt1.1
- fixed buildreqs.

* Sat Nov 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.1.1-alt1
- First build for Sisyphus.

